#
# Copyright (c) 2008-2015 Thierry Florac <tflorac AT ulthar.net>
# All Rights Reserved.
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
#

__docformat__ = 'restructuredtext'


# import standard library

# import interfaces
from zope.schema.interfaces import IDict

# import packages


class II18nField(IDict):
    """I18n field marker interface"""


class II18nTextLineField(II18nField):
    """I18n text line field marker interface"""


class II18nTextField(II18nField):
    """I18n text field marker interface"""


class II18nHTMLField(II18nField):
    """I18n HTML field marker interface"""


class II18nFileField(II18nField):
    """I18n file field marker interface"""


class II18nMediaField(II18nFileField):
    """I18n media field marker interface"""


class II18nThumbnailMediaField(II18nMediaField):
    """I18n media field with thumbnail marker interface"""


class II18nImageField(II18nFileField):
    """I18n image field marker interface"""


class II18nThumbnailImageField(II18nImageField):
    """I18n image field with thumbnail marker interface"""


class II18nVideoField(II18nMediaField):
    """I18n video field marker interface"""


class II18nThumbnailVideoField(II18nVideoField):
    """I18n video field with thumbnail marker interface"""


class II18nAudioField(II18nMediaField):
    """I18n audio field marker interface"""
